#
# spec file for package gstreamer-transcoder
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gstreamer-transcoder
%define _name   gst-transcoder
Version:        1.8.2
Release:        1.8
Summary:        GStreamer Transcoding API
License:        LGPL-2.1
Group:          Productivity/Multimedia/Other
Url:            https://github.com/pitivi/gst-transcoder
Source:         https://github.com/pitivi/%{_name}/archive/%{version}.tar.gz#/%{_name}-%{version}.tar.gz
BuildRequires:  meson
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gobject-2.0)
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(gstreamer-pbutils-1.0)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
GStreamer Transcoding API

%package -n libgsttranscoder-1_0-0
Summary:        GStreamer Transcoder API
Group:          System/Libraries

%description -n libgsttranscoder-1_0-0
This subpackage contains the implementation of the GStreamer API.

%package -n typelib-1_0-GstTranscoder-1_0
Summary:        Introspection bindings for the GStreamer Transcoder API
Group:          System/Libraries

%description -n typelib-1_0-GstTranscoder-1_0
This subpackage contains the introspection bindings for the GStreamer Transcoding API.

%package devel
Summary:        Development files for the GStreamer Transcoding API
Group:          Development/Languages/C and C++
Requires:       libgsttranscoder-1_0-0 = %{version}
Requires:       typelib-1_0-GstTranscoder-1_0 = %{version}

%description devel
This subpackage contains the header files needed to build applications
making use of the GStreamer Transcoding API.

%prep
%setup -q -n %{_name}-%{version}

%build
mkdir build
pushd build
meson .. --prefix=%{_prefix}
ninja

%install
pushd build
DESTDIR=%{buildroot} ninja install

%post -n libgsttranscoder-1_0-0 -p /sbin/ldconfig
%postun -n libgsttranscoder-1_0-0 -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc LICENSE
%{_bindir}/gst-transcoder-1.0

%files -n libgsttranscoder-1_0-0
%defattr(-,root,root)
%{_libdir}/libgsttranscoder-1.0.so.0

%files -n typelib-1_0-GstTranscoder-1_0
%defattr(-,root,root)
%{_libdir}/girepository-1.0/GstTranscoder-1.0.typelib

%files devel
%defattr(-,root,root)
%{_datadir}/gir-1.0/GstTranscoder-1.0.gir
%{_includedir}/gstreamer-1.0/gst/transcoder/
%{_libdir}/gstreamer-1.0/libgsttranscoderplugin.so
%{_libdir}/libgsttranscoder-1.0.so
%{_libdir}/pkgconfig/gst-transcoder-1.0.pc

%changelog
* Sat Oct 22 2016 jengelh@inai.de
- Update descriptions
* Wed Aug 17 2016 dimstar@opensuse.org
- Initial package, version 1.8.2.
